Bug 214168 - Bad keyboard mapping in xen graphical console
Bad keyboard mapping in xen graphical console
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Berrange
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-06 06:51 EST by Christophe GRENIER
Modified: 2008-02-26 18:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:39:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christophe GRENIER 2006-11-06 06:51:40 EST
Description of problem:
The keyboard mapping in vnc grapical console is wrong with fr-latin1 keyboard.
I can't setup the network interface while creating a new virtual machine because
I can't type the IP.

Version-Release number of selected component (if applicable):
virt-manager-0.2.3-2.fc6

How reproducible:
always

Steps to Reproduce:
1. set host keyboard mapping to fr-latin1
2. run virt-manager
3. create a new virtual machine
3. during the installation process, choose us keyboard or fr-latin1
4. try to configure the network interface
  
Actual results:
Can't type the IP. Key press produces non-consistent results

Expected results:
Get 1 while using the key "1"
Comment 1 Daniel Berrange 2006-11-06 07:02:39 EST
Is the host keyboard set to the same layout as the guest keyboard ? (ie, both
fr-latin1)  The VNC widget does straight passthrough of the keysymbols from the
host to the guest, so unless the layouts match you may see wierd behaviour.
Comment 2 Christophe GRENIER 2006-11-06 07:13:40 EST
Both host keyboard and guest keyboard are using fr-latin1.
Host keyboard has been configured as fr-latin1 using system-config-keyboard.
Comment 3 Daniel Berrange 2006-11-13 13:22:29 EST
I've been trying to track down this problem without much success - not helped by
the fact that I only have access to a US layout keyboard. I set both my host &
guest keyboards to 'fr-latin1' and compared the behaviour.

On host
 - If I press the key labeled '1', then i get a '&'.
 - If I hold Shift & press key labeled '1' then I get a '1'

On guest
 - If I press the key labeled '1', then i get a '&'.
 - If I hold Shift & press key labeled '1' then I get a '1'

So, if I have both host & guest in fr-latin1, then the results are comparable.
So, is both my local desktop & Xen / VNC guest  correct, or both wrong ?!?!

I think i really need to find a french keyboard to test on properly....
Comment 4 Christophe GRENIER 2006-11-15 06:36:23 EST
Using xenguest-install without graphics support, the install doesn't ask for the
keyboard (/etc/sysconfig/keyboard is not be created) and the keyboard mapping is
perfect.

Using xenguest-install with graphics support, the keyboard mapping is ok when
you choose the language and it goes wrong once you choose the keyboard mapping.
Comment 5 Christophe GRENIER 2006-11-17 09:49:44 EST
It may be, in fact, an anaconda bug. Anaconda doesn't ask for keyboard during
console installation (Headless installation ?) and it shouldn't during Xen vnc
installation.
Comment 6 JM 2007-03-12 09:59:25 EDT
I have the same problem and in the moment the only solution is to use the
xenguest-install without graphics support... on the other hand the graphics
support during the install of the the xen guest doesn't work for me at all...
Comment 7 JM 2007-03-12 10:27:35 EDT
I used 256MB RAM for the guest system and because of that the graphics support
failed, with at least 384MB it works but of course there is still the problem
with the keyboard layout, it's unusable. I couldn't find a workaround for that
(expect not to use graphics support).
Comment 8 Daniel Berrange 2007-03-12 10:32:07 EDT
FYI, in Xen 3.0.5 there is now support for setting the keymap for the VNC
servers. Fedora Core 6 though is only Xen 3.0.3, and we'd also need libvirt,
virt-install & virt-manager support for setting the keymap, so I'm not sure that
it is really practical to backport the keymap code from latest Xen for FC6. 

The keymap support will likely be included in Fedora 7 though. 

I'll leave this ticket open until we've definitely got it supported in either
F7, or figured out a backport plan, whichever comes first.
Comment 9 Red Hat Bugzilla 2007-07-24 22:06:42 EDT
change QA contact
Comment 10 Chris Lalancette 2008-02-26 18:39:08 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.